Package: org.codehaus.groovy.runtime.callsite

## [Java] Class MetaMethodSite

- org.codehaus.groovy.runtime.callsite.MetaMethodSite

-     public abstract class MetaMethodSite
      extends MetaClassSite

  Call site which caches meta method

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected Class[]` | `params` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Field Detail

    - #### protected final Class[] params

  - ### Constructor Detail

    - #### public MetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, Class[] params)